
/**
 * Clase utilizada para probar el funcionamiento de GrupoFiguras.
 * 
 * @author Josep Silva 
 * @version 6 Octubre 2013
 */

public class UsoGrupoFiguras
{
    public static void main (String args[])
    {
        GrupoFiguras g =new GrupoFiguras();

        Triangulo t1 = new Triangulo(10,5,3,5);
        Triangulo t2 = new Triangulo(1,3,1,4);
        Rectangulo re1 = new Rectangulo(1.0, 2.0, 5, 7);
        Cuadrado cu1 = new Cuadrado(1.0, 2.0, 5);

        g.anyadeTriangulo(t1);
        g.anyadeTriangulo(t2);
        g.anyadeRectangulo(re1);
        g.anyadeCuadrado(cu1);

        System.out.println(g.numRectangulos());        // Debería devolver 2   
    }
}
